Bug 82618 - multimedia/xmms uses 32bit int for ioctl rather than 64bit long on amd64
Summary: multimedia/xmms uses 32bit int for ioctl rather than 64bit long on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-24 19:40 UTC by Ryan R.
Modified: 2005-09-29 14:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan R. 2005-06-24 19:40:06 UTC
      When adjusting the volume in XMMS on an amd64 system, a warning message similar to the following is printed:

WARNING pid 88402 (xmms): ioctl sign-extension ioctl ffffffffc0044d00
WARNING pid 88405 (xmms): ioctl sign-extension ioctl ffffffffc0044d04

Fix: 

Apply the following patches from multimedia/beep-media-player/files to XMMS during the patch phase of the build:

patch-Output-OSS-mixer.c
patch-Output-esd-mixer.c
How-To-Repeat:       Install XMMS on an amd64 system, and use its volume controls.
Comment 1 Florent Thoumie freebsd_committer 2005-06-30 20:30:02 UTC
State Changed
From-To: open->feedback

Forward PR to maintainer.
Comment 2 Marcus Alves Grando freebsd_committer 2005-09-28 23:12:01 UTC
Dear submitter,

About this PR:
http://www.freebsd.org/cgi/query-pr.cgi?pr=82618

Can you send attached patches again? Your send-pr do not attach patches.

Thanks

-- 
Marcus Alves Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
  mnag(at)FreeBSD.org
Comment 3 Marcus Alves Grando freebsd_committer 2005-09-29 14:03:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!